<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>MethodDoc (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/methoddoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\MethodDoc</div>
<a href="../source/classes/methoddoc.php.html#line25" class="location">classes/methodDoc.php at line 25</a>

<h1>Class MethodDoc</h1>

<pre class="tree"><a href="../phpdoctor/doc.html">Doc</a><br>    └─<a href="../phpdoctor/programelementdoc.html">ProgramElementDoc</a><br>       └─<a href="../phpdoctor/executabledoc.html">ExecutableDoc</a><br>          └─<strong>MethodDoc</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>MethodDoc</strong><br>extends <a href="../phpdoctor/executabledoc.html">ExecutableDoc</a>

</p>

<div class="comment" id="overview_description"><p>Represents a PHP function or method (member function).</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(str name, ClassDoc|MethodDoc parent, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root, str filename, int lineNumber, str sourcePath)</p><p class="description">Constructor</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addParameter()">addParameter</a>(<a href="../phpdoctor/fielddoc.html">FieldDoc</a> parameter)</p><p class="description">Add a parameter to this method.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isAbstract()">isAbstract</a>()</p><p class="description">Return true if this class is abstract.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isFunction()">isFunction</a>()</p><p class="description">Is this construct a function.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isMethod()">isMethod</a>()</p><p class="description">Is this construct a method.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/type.html">Type</a></td>
<td class="description"><p class="name"><a href="#returnType()">returnType</a>()</p><p class="description">Get return type.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#returnTypeAsString()">returnTypeAsString</a>()</p><p class="description">Format a return type for outputting. </p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\ExecutableDoc</th></tr>
<tr><td><a href="../phpdoctor/executabledoc.html#addMethod()">addMethod</a>, <a href="../phpdoctor/executabledoc.html#flatSignature()">flatSignature</a>, <a href="../phpdoctor/executabledoc.html#functions()">functions</a>, <a href="../phpdoctor/executabledoc.html#paramTags()">paramTags</a>, <a href="../phpdoctor/executabledoc.html#parameters()">parameters</a>, <a href="../phpdoctor/executabledoc.html#signature()">signature</a>, <a href="../phpdoctor/executabledoc.html#thrownExceptions()">thrownExceptions</a>, <a href="../phpdoctor/executabledoc.html#throwsTags()">throwsTags</a></td></tr></table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\ProgramElementDoc</th></tr>
<tr><td><a href="../phpdoctor/programelementdoc.html#asPath()">asPath</a>, <a href="../phpdoctor/programelementdoc.html#containingClass()">containingClass</a>, <a href="../phpdoctor/programelementdoc.html#containingPackage()">containingPackage</a>, <a href="../phpdoctor/programelementdoc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/programelementdoc.html#isPrivate()">isPrivate</a>, <a href="../phpdoctor/programelementdoc.html#isProtected()">isProtected</a>, <a href="../phpdoctor/programelementdoc.html#isPublic()">isPublic</a>, <a href="../phpdoctor/programelementdoc.html#isStatic()">isStatic</a>, <a href="../phpdoctor/programelementdoc.html#location()">location</a>, <a href="../phpdoctor/programelementdoc.html#makePrivate()">makePrivate</a>, <a href="../phpdoctor/programelementdoc.html#makeProtected()">makeProtected</a>, <a href="../phpdoctor/programelementdoc.html#makePublic()">makePublic</a>, <a href="../phpdoctor/programelementdoc.html#modifiers()">modifiers</a>, <a href="../phpdoctor/programelementdoc.html#packageName()">packageName</a>, <a href="../phpdoctor/programelementdoc.html#qualifiedName()">qualifiedName</a>, <a href="../phpdoctor/programelementdoc.html#sourceFilename()">sourceFilename</a>, <a href="../phpdoctor/programelementdoc.html#sourceLine()">sourceLine</a></td></tr></table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#getHTMLContents()">getHTMLContents</a>, <a href="../phpdoctor/doc.html#getRawCommentText()">getRawCommentText</a>, <a href="../phpdoctor/doc.html#isClass()">isClass</a>, <a href="../phpdoctor/doc.html#isConstructor()">isConstructor</a>, <a href="../phpdoctor/doc.html#isException()">isException</a>, <a href="../phpdoctor/doc.html#isField()">isField</a>, <a href="../phpdoctor/doc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/doc.html#isFunction()">isFunction</a>, <a href="../phpdoctor/doc.html#isGlobal()">isGlobal</a>, <a href="../phpdoctor/doc.html#isInterface()">isInterface</a>, <a href="../phpdoctor/doc.html#isMethod()">isMethod</a>, <a href="../phpdoctor/doc.html#isOrdinaryClass()">isOrdinaryClass</a>, <a href="../phpdoctor/doc.html#mergeData()">mergeData</a>, <a href="../phpdoctor/doc.html#name()">name</a>, <a href="../phpdoctor/doc.html#set()">set</a>, <a href="../phpdoctor/doc.html#setByRef()">setByRef</a>, <a href="../phpdoctor/doc.html#setTag()">setTag</a>, <a href="../phpdoctor/doc.html#tags()">tags</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/methoddoc.php.html#line49" class="location">classes/methodDoc.php at line 49</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(str name, ClassDoc|MethodDoc parent, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root, str filename, int lineNumber, str sourcePath)</code>
<div class="details">
<p>Constructor</p><dl>
<dt>Parameters:</dt>
<dd>name - Name of this element</dd>
<dd>parent - The parent of this element</dd>
<dd>root - The root element</dd>
<dd>filename - The filename of the source file this element is in</dd>
<dd>lineNumber - The line number of the source file this element is at</dd>
<dd>sourcePath - The source path containing the source file</dd>
</dl>
</div>

<hr>

<a href="../source/classes/methoddoc.php.html#line64" class="location">classes/methodDoc.php at line 64</a>

<h3 id="addParameter()">addParameter</h3>
<code class="signature">public  void <strong>addParameter</strong>(<a href="../phpdoctor/fielddoc.html">FieldDoc</a> parameter)</code>
<div class="details">
<p>Add a parameter to this method.</p></div>

<hr>

<a href="../source/classes/methoddoc.php.html#line121" class="location">classes/methodDoc.php at line 121</a>

<h3 id="isAbstract()">isAbstract</h3>
<code class="signature">public  bool <strong>isAbstract</strong>()</code>
<div class="details">
<p>Return true if this class is abstract.</p></div>

<hr>

<a href="../source/classes/methoddoc.php.html#line99" class="location">classes/methodDoc.php at line 99</a>

<h3 id="isFunction()">isFunction</h3>
<code class="signature">public  bool <strong>isFunction</strong>()</code>
<div class="details">
<p>Is this construct a function.</p></div>

<hr>

<a href="../source/classes/methoddoc.php.html#line112" class="location">classes/methodDoc.php at line 112</a>

<h3 id="isMethod()">isMethod</h3>
<code class="signature">public  bool <strong>isMethod</strong>()</code>
<div class="details">
<p>Is this construct a method.</p></div>

<hr>

<a href="../source/classes/methoddoc.php.html#line73" class="location">classes/methodDoc.php at line 73</a>

<h3 id="returnType()">returnType</h3>
<code class="signature">public  <a href="../phpdoctor/type.html">Type</a> <strong>returnType</strong>()</code>
<div class="details">
<p>Get return type.</p></div>

<hr>

<a href="../source/classes/methoddoc.php.html#line83" class="location">classes/methodDoc.php at line 83</a>

<h3 id="returnTypeAsString()">returnTypeAsString</h3>
<code class="signature">public  str <strong>returnTypeAsString</strong>()</code>
<div class="details">
<p>Format a return type for outputting. Recognised types are turned into
HTML anchor tags to the documentation page for the class defining them.</p><dl>
<dt>Returns:</dt>
<dd>The string representation of the return type</dd>
</dl>
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/methoddoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>